# List Monitor Events
Source: https://docs.simpleserve.ai/docs/api-reference/platform/get-monitors-monitor_id-events

Method: GET /simpleserve/v1/monitors/{monitor_id}/events
Base URL: https://api.simpleserve.ai

```json
{
  "path": "/simpleserve/v1/monitors/{monitor_id}/events",
  "method": "GET",
  "summary": "List Monitor Events",
  "operationId": "list_monitor_events_simpleserve_v1_monitors__monitor_id__events_get",
  "parameters": [
    {
      "name": "monitor_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "title": "Monitor Id"
      }
    },
    {
      "name": "limit",
      "in": "query",
      "required": false,
      "schema": {
        "type": "integer",
        "maximum": 100,
        "minimum": 1,
        "default": 20,
        "title": "Limit"
      }
    },
    {
      "name": "after",
      "in": "query",
      "required": false,
      "schema": {
        "anyOf": [
          {
            "type": "string"
          },
          {
            "type": "null"
          }
        ],
        "title": "After"
      }
    },
    {
      "name": "authorization",
      "in": "header",
      "required": false,
      "schema": {
        "type": "string",
        "default": "",
        "title": "Authorization"
      }
    },
    {
      "name": "xi-api-key",
      "in": "header",
      "required": false,
      "schema": {
        "type": "string",
        "default": "",
        "title": "Xi-Api-Key"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful Response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/VisionEventListResponse"
          }
        }
      }
    },
    "422": {
      "description": "Validation Error",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/HTTPValidationError"
          }
        }
      }
    }
  },
  "tags": [
    "Platform"
  ]
}
```